#
# Copyright (c) NVIDIA CORPORATION & AFFILIATES, 2021. ALL RIGHTS RESERVED.
#
# See file LICENSE for terms.
#

set(prefix "/opt/ohpc/pub/mpi/ucx-ohpc/1.14.0")
set(exec_prefix "${prefix}")

add_library(ucx::ucs SHARED IMPORTED)

set_target_properties(ucx::ucs PROPERTIES
  IMPORTED_LOCATION "/opt/ohpc/pub/mpi/ucx-ohpc/1.14.0/lib/libucs.so"
  INTERFACE_INCLUDE_DIRECTORIES "${prefix}/include"
)

add_library(ucx::ucp SHARED IMPORTED)

set_target_properties(ucx::ucp PROPERTIES
  IMPORTED_LOCATION "/opt/ohpc/pub/mpi/ucx-ohpc/1.14.0/lib/libucp.so"
  INTERFACE_INCLUDE_DIRECTORIES "${prefix}/include"
)

add_library(ucx::uct SHARED IMPORTED)

set_target_properties(ucx::uct PROPERTIES
  IMPORTED_LOCATION "/opt/ohpc/pub/mpi/ucx-ohpc/1.14.0/lib/libuct.so"
  INTERFACE_INCLUDE_DIRECTORIES "${prefix}/include"
)
